Bug 141818 - Incorrect help information to access sidebar "Animation"
Summary: Incorrect help information to access sidebar "Animation"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2021-04-21 21:39 UTC by [REDACTED]
Modified: 2021-04-25 04:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description [REDACTED] 2021-04-21 21:39:40 UTC
Description:
Help information about "Animating Objects in Presentation Slides" (https://help.libreoffice.org/latest/en-US/text/simpress/guide/animated_objects.html) contains the following information to access the "Animation" in the sidebar.

...
2) Choose Format - Animation, to open the Custom Animation pane in the Sidebar. Click on Add (+) button, and then select an animation effect.
...

This information is incorrect. Latest version having the menu entry "Format -> Animation" was version 6.2.8.2. All newer version have the functionality to open "Animation" sidebar in menu "View -> Animation"

Steps to Reproduce:
1. Navigate to https://help.libreoffice.org/latest/en-US/text/simpress/guide/animated_objects.html and check item 2.
2. Open an Impress file
3. Check existence of menu entry given by documentation.

Actual Results:
Text in documentation should show:

2) Choose Format - Animation, to open the Custom Animation pane in the Sidebar. Click on Add (+) button, and then select an animation effect.

(the given menu entry does not exist)

Expected Results:
Text in documentation should show:

2) Choose Format - Animation, to open the Custom Animation pane in the Sidebar. Click on Add (+) button, and then select an animation effect.
...


Reproducible: Always


User Profile Reset: No



Additional Info:
Code pointer:

https://opengrok.libreoffice.org/xref/help/source/text/simpress/guide/animated_objects.xhp?r=96c9eaf3#50
Comment 1 [REDACTED] 2021-04-21 21:48:47 UTC
(In reply to Uwe Auer from comment #0)

> Actual Results:
> Text in documentation should show:
> 

Correction:

Actual Results:
Text in documentation shows:
Comment 2 [REDACTED] 2021-04-21 21:54:08 UTC
(In reply to Uwe Auer from comment #0)
> 
> Expected Results:
> Text in documentation should show:
> 
> 2) Choose Format - Animation, to open the Custom Animation pane in the
> Sidebar. Click on Add (+) button, and then select an animation effect.

Sorry for the noise - Correction:

Expected Results:
Text in documentation should show:
 
2) Choose View - Animation, to open the Custom Animation pane in the
Sidebar. Click on Add (+) button, and then select an animation effect.
Comment 3 Commit Notification 2021-04-24 13:07:26 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/284b35052f341add5bf7545c806eb7ce43baa34d

tdf#141818 Fix page on animation in Impress
Comment 4 Olivier Hallot 2021-04-24 13:08:12 UTC
Thank you for the bug report.